> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integration-guide/payment-suite/payments/authorizations/incremental-authorization.md).

# Incremental Authorization

Generally for any payment transaction, the payable amount from the payment request is authorized and then captured. But in some situations like hotel bookings, car rentals, or services where the final cost is uncertain, we might need to increase the authorized amount.

Incremental authorization in Juspay Hyperswitch allows merchants to request additional funds after the initial authorization, giving them the flexibility to handle changing costs without disrupting the customer's payment experience.

### Why is it important?

Incremental authorization extends the ability to request more funds beyond the original authorized amount, which is perfect for aforementioned situations like hotel bookings, car rentals, or services where the final cost is uncertain. Hyperswitch enables merchants to easily add charges during the checkout process without affecting the user journey for re-authorization.

### How Incremental Authorization Helps Businesses?

Incremental authorization can help businesses to fulfill the following use-cases:

* **Adjust Payments in Real-Time**: Handle unexpected increases in charges, such as additional services or extended stays without redirecting customers for re-authorization.
* **Improve Customer Experience**: Avoid disruptions in the payment process, as customers do not need to reauthorize or re-enter their payment information.
* **Streamline Settlements**: Hyperswitch combines the initial charge and all incremental authorizations into a single settlement, simplifying reconciliation.

### Pre-requisites

1. Ensure that your business operates in a region without Strong Customer Authentication (SCA) requirements, as incremental authorizations are only possible in such environments.
2. This feature is limited to card payments and specific networks, with rules that vary depending on the payment connector used.

### How to use Incremental Authorization through Hyperswitch?

**Step 1:** To use Incremental authorization you can set the value of the [request\_incremental\_authorization](https://api-reference.hyperswitch.io/v1/payments/payments--create) field to true in the payments/create API call.

```
curl --request POST \
  --url https://sandbox.hyperswitch.io/payments \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '{
  "amount": 6540,
  "authentication_type": "three_ds",
  "currency": "USD",
  "request_incremental_authorization": "true"
}'
```

**Step 2:** In the response, you can find whether the connector allows the Incremental authorization for that particular payment intent or not, refer to [incremental\_authorization\_allowed](https://api-reference.hyperswitch.io/v1/payments/payments--create) field in API response.

**Step 3:** Use the below curl to make the Incremental authorization requests.

```
curl --request POST \
  --url https://sandbox.hyperswitch.io/payments/{payment_id}/incremental_authorization \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '{
  "amount": 6540,
  "reason": "<string>"
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperswitch.io/integration-guide/payment-suite/payments/authorizations/incremental-authorization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
